<?php

namespace Chill\ActivityBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\AbstractFixture;
use Doctrine\Common\DataFixtures\DependentFixtureInterface;
use Chill\ActivityBundle\Entity\Activity;
use Chill\MainBundle\DataFixtures\ORM\LoadAbstractNotificationsTrait;
use Chill\ActivityBundle\DataFixtures\ORM\LoadActivity;

/**
 * Load notififications into database
 */
class LoadActivityNotifications extends AbstractFixture implements DependentFixtureInterface
{
    use LoadAbstractNotificationsTrait;

    public $notifs = [
        [
            'message' => 'Hello !',
            'entityClass' => Activity::class,
            'entityRef' => 'activity_gerard depardieu',
            'sender' => 'center a_social',
            'addressees' => [
                'center a_social',
                'center a_administrative',
                'center a_direction',
                'multi_center'
            ],
        ]
    ];

    public function getDependencies()
    {
        return [
            LoadActivity::class,
        ];
    }
}
