<?php

/*
 * Chill is a software for social workers
 *
 * Copyright (C) 2014-2015, Champs Libres Cooperative SCRLFS,
 * <http://www.champs-libres.coop>, <info@champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Chill\ActivityBundle\DataFixtures\ORM;

use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Persistence\ObjectManager;
use Chill\ActivityBundle\Entity\ActivityType;

/**
 * Description of LoadActivityType
 *
 * @author Champs-Libres Coop
 */
class LoadActivityType extends Fixture implements OrderedFixtureInterface
{
    public function getOrder()
    {
        return 16100;
    }

    public static $references = array();

    public function load(ObjectManager $manager)
    {
        $types = [
            # Exange
            [
                'name' =>
                    ['fr' => 'Entretien physique avec l\'usager'],
                'category' => 'exchange' ],
            [
                'name' =>
                    ['fr' => 'Appel téléphonique', 'en' => 'Telephone call', 'nl' => 'Telefoon appel'],
                'category' => 'exchange' ],
            [
                'name' =>
                    ['fr' => 'Courriel', 'en' => 'Email', 'nl' => 'Email'],
                'category' => 'exchange' ],
            # Meeting
            [
                'name' =>
                    ['fr' => 'Point technique encadrant'],
                'category' => 'meeting' ],
            [
                'name' =>
                    ['fr' => 'Réunion avec des partenaires'],
                'category' => 'meeting' ],
            [
                'name' =>
                    ['fr' => 'Commission pluridisciplinaire et pluri-institutionnelle'],
                'category' => 'meeting' ],
        ];

        foreach ($types as $t) {
            print "Creating activity type : " . $t['name']['fr'] . " (cat:". $t['category']  . " \n";
            $activityType = (new ActivityType())
                ->setName(($t['name']))
                ->setCategory($this->getReference('activity_type_cat_'.$t['category']))
                ->setSocialIssuesVisible(1)
                ->setSocialActionsVisible(1);
            $manager->persist($activityType);
            $reference = 'activity_type_'.$t['name']['fr'];
            $this->addReference($reference, $activityType);
            static::$references[] = $reference;
        }

        $manager->flush();
    }
}
