<?php

/*
 *
 * Copyright (C) 2015, Champs Libres Cooperative SCRLFS, <http://www.champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Chill\ActivityBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class ActivityPresence
 *
 * @package Chill\ActivityBundle\Entity
 * @ORM\Entity()
 * @ORM\Table(name="activitytpresence")
 * @ORM\HasLifecycleCallbacks()
 */
class ActivityPresence
{
    /**
     * @ORM\Id
     * @ORM\Column(name="id", type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private ?int $id;

    /**
     * @ORM\Column(type="json")
     */
    private array $name = [];

    /**
     * @ORM\Column(type="boolean")
     */
    private bool $active = true;

    public function getId(): int
    {
        return $this->id;
    }

    public function setName(array $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getName(): array
    {
        return $this->name;
    }

    /**
     * Get active
     * return true if the category type is active.
     */
    public function getActive(): bool
    {
        return $this->active;
    }

    /**
     * Is active
     * return true if the category type is active
     */
    public function isActive(): bool
    {
        return $this->getActive();
    }

    /**
     * Set active
     * set to true if the category type is active
     */
    public function setActive(bool $active): self
    {
        $this->active = $active;

        return $this;
    }
}
