<?php

declare(strict_types=1);

namespace Chill\ActivityBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity()
 * @ORM\Table(name="activitytypecategory")
 * @ORM\HasLifecycleCallbacks()
 */
class ActivityTypeCategory
{
    /**
     * @ORM\Id
     * @ORM\Column(name="id", type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private ?int $id = null;

    /**
     * @ORM\Column(type="json")
     */
    private array $name = [];

    /**
     * @ORM\Column(type="boolean")
     */
    private bool $active = true;

    /**
     * @ORM\Column(type="float", options={"default"="0.0"})
     */
    private float $ordering = 0.0;

    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * Set name
     */
    public function setName(array $name): self
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     */
    public function getName(): array
    {
        return $this->name;
    }

    /**
     * Get active
     * return true if the category type is active.
     */
    public function getActive(): bool
    {
        return $this->active;
    }

    /**
     * Is active
     * return true if the category type is active
     */
    public function isActive(): bool
    {
        return $this->getActive();
    }

    /**
     * Set active
     * set to true if the category type is active
     */
    public function setActive(bool $active): self
    {
        $this->active = $active;

        return $this;
    }

    public function getOrdering(): float
    {
        return $this->ordering;
    }

    public function setOrdering(float $ordering): self
    {
        $this->ordering = $ordering;

        return $this;
    }
}
