<?php

namespace Chill\CalendarBundle\DataFixtures\ORM;

use Chill\CalendarBundle\Entity\Invite;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Bundle\FixturesBundle\FixtureGroupInterface;
use Doctrine\Persistence\ObjectManager;


class LoadInvite extends Fixture implements FixtureGroupInterface
{
    public function getOrder(): int
    {
        return 40002;
    }

    public static function getGroups(): array
    {
        return ['calendar'];
    }

    public static $references = [];

    public function load(ObjectManager $manager): void
    {
        $arr = [
            ['name' => ['fr' => 'Rendez-vous décliné']],
            ['name' => ['fr' => 'Rendez-vous accepté']],
        ];

        foreach ($arr as $a) {
            print "Creating calendar invite : " . $a['name']['fr'] . "\n";
            $invite= (new Invite())
                ->setStatus($a['name']);
            $manager->persist($invite);
            $reference = 'Invite_'.$a['name']['fr'];
            $this->addReference($reference, $invite);
            static::$references[] = $reference;
        }

        $manager->flush();
    }
}
