<?php

namespace Chill\CalendarBundle\Entity;

use Chill\CalendarBundle\Repository\CancelReasonRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Table(name="chill_calendar.cancel_reason")
 * @ORM\Entity(repositoryClass=CancelReasonRepository::class)
 */
class CancelReason
{

    const CANCELEDBY_USER = 'CANCELEDBY_USER';
    const CANCELEDBY_PERSON = 'CANCELEDBY_PERSON';
    const CANCELEDBY_DONOTCOUNT = 'CANCELEDBY_DONOTCOUNT';

    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="boolean")
     */
    private $active;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $canceledBy;

    /**
     * @ORM\Column(type="json")
     */
    private $name = [];

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getActive(): ?bool
    {
        return $this->active;
    }

    public function setActive(bool $active): self
    {
        $this->active = $active;

        return $this;
    }

    public function getCanceledBy(): ?string
    {
        return $this->canceledBy;
    }

    public function setCanceledBy(string $canceledBy): self
    {
        $this->canceledBy = $canceledBy;

        return $this;
    }

    public function getName(): ?array
    {
        return $this->name;
    }

    public function setName(array $name): self
    {
        $this->name = $name;

        return $this;
    }
}
