<?php

namespace Chill\DocGeneratorBundle\DataFixtures\ORM;

use Chill\PersonBundle\Entity\AccompanyingPeriod\AccompanyingPeriodWorkEvaluation;
use Doctrine\Common\DataFixtures\AbstractFixture;
use Doctrine\Persistence\ObjectManager;
use Doctrine\Common\DataFixtures\DependentFixtureInterface;


use Chill\DocGeneratorBundle\Entity\DocGeneratorTemplate;

/**
 * Load DocGeneratorTemplate
 *
 * @author Champs-Libres Coop
 */
class LoadDocGeneratorTemplate  extends AbstractFixture
{

    public function load(ObjectManager $manager)
    {
        $templates = [
            [
                'name' => ['fr' => 'FORMULAIRE AEB'],
                'desc' => 'stocké sur openstack comedienbe',
                'file' => 'FORMULAIRE_AEB_WITH_DATA_INJ.docx',
                'context' => 'Chill\DocGeneratorBundle\Context\HouseholdMemberSelectionContext',
                'entities' => [AccompanyingPeriodWorkEvaluation::class],
            ], [
                'name' => ['fr' => 'AIDE ALIMENTAIRE'],
                'desc' => 'stocké sur openstack comedienbe',
                'file' => 'AIDE_ALIMENTAIRE.docx',
                'context' => 'Chill\DocGeneratorBundle\Context\HouseholdMemberSelectionContext',
                'entities' => ['Chill\PersonBundle\Entity\AccompanyingPeriod', 'Chill\PersonBundle\Entity\SocialWork\SocialAction', AccompanyingPeriodWorkEvaluation::class],
            ],
        ];

        foreach ($templates as $template) {

            print('Adding doc generator templates  '.$template['file'].")\n");

            $newTemplate = (new DocGeneratorTemplate())
                ->setName($template['name'])
                ->setDescription($template['desc'])
                ->setFile($template['file'])
                ->setContext($template['context'])
                ->setEntities($template['entities'])
            ;

            $manager->persist($newTemplate);

            $manager->flush();
        }
    }
}
