<?php

namespace Chill\MainBundle\Controller;

use Chill\MainBundle\CRUD\Controller\ApiController;
use Chill\MainBundle\Pagination\PaginatorInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class AddressReferenceAPIController
 *
 * @package Chill\MainBundle\Controller
 * @author Champs Libres
 */
class AddressReferenceAPIController extends ApiController
{

    protected function customizeQuery(string $action, Request $request, $qb): void
    {
        if ($request->query->has('postal_code')) {

            $qb->where('e.postcode = :postal_code')
               ->setParameter('postal_code', $request->query->get('postal_code'));
            
        }
 
    }

    protected function orderQuery(string $action, $query, Request $request, PaginatorInterface $paginator, $_format)
    {
        $query->addOrderBy('e.street', 'ASC');
        $query->addOrderBy('e.streetNumber', 'ASC');

        return $query;
    }

}
