<?php

namespace Chill\MainBundle\Controller;

use Chill\MainBundle\CRUD\Controller\ApiController;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class LocationApiController
 *
 * @package Chill\MainBundle\Controller
 * @author Champs Libres
 */
class LocationApiController extends ApiController
{
    public function customizeQuery(string $action, Request $request, $query): void
    {
        $query->andWhere($query->expr()->orX(
            $query->expr()->andX(
                $query->expr()->eq('e.createdBy', ':user'),
                $query->expr()->gte('e.createdAt', ':dateBefore')
            ),
            $query->expr()->andX(
                $query->expr()->eq('e.availableForUsers', "'TRUE'"),
                $query->expr()->eq('e.active', "'TRUE'"),
                $query->expr()->isNotNull('e.name'),
                $query->expr()->neq('e.name', ':emptyString'),
            )
        ))
        ->setParameters([
            'user' => $this->getUser(),
            'dateBefore' => (new \DateTime())->sub(new \DateInterval('P6M')),
            'emptyString' => '',
        ]);
    }
}