<?php

namespace Chill\MainBundle\Doctrine\Model;

use \Exception;

/**
 * Description of PointException
 *
 */
class PointException extends Exception {

    public static function badCoordinates($lon, $lat): self
    {
        return new self("Input coordinates are not valid in the used coordinate system (longitude = $lon , latitude = $lat)");
    }

    public static function badJsonString($str): self
    {
        return new self("The JSON string is not valid: $str");
    }

    public static function badGeoType(): self
    {
        return new self("The geoJSON object type is not valid");
    }
}
