<?php

namespace Chill\MainBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;

/**
 * Country
 *
 * @ORM\Entity
 * @ORM\Table(name="country")
 * @ORM\Cache(usage="READ_ONLY", region="country_cache_region")
 * @ORM\HasLifecycleCallbacks()
 */
class Country
{
    /**
     * @var integer
     *
     * @ORM\Id
     * @ORM\Column(name="id", type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @groups({"read"})
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(type="json")
     * @groups({"read"})
     *
     */
    private $name;

    /**
     * @var string
     *
     * @ORM\Column(type="string", length=3)
     * @groups({"read"})
     */
    private $countryCode;


    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set name
     *
     * @param string $name
     * @return Country
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function __toString()
    {
        return $this->getName();
    }

    /**
     *
     * @return the string
     */
    public function getCountryCode()
    {
        return $this->countryCode;
    }

    /**
     *
     * @param string $countryCode
     */
    public function setCountryCode($countryCode)
    {
        $this->countryCode = $countryCode;
        return $this;
    }

}
