<?php

namespace Chill\MainBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation as Serializer;

/**
 * @ORM\Entity
 * @ORM\Table("chill_main_user_job")
 * @Serializer\DiscriminatorMap(typeProperty="type", mapping={
 *     "user_job"=UserJob::class
 *     })
 */
class UserJob
{

    /**
     * @ORM\Id
     * @ORM\Column(name="id", type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @Serializer\Groups({"read"})
     */
    protected ?int $id = null;

    /**
     * @var array|string[]A
     * @ORM\Column(name="label", type="json")
     * @Serializer\Groups({"read"})
     */
    protected array $label = [];

    /**
     * @var bool
     * @ORM\Column(name="active", type="boolean")
     */
    protected bool $active = true;

    /**
     * @return int|null
     */
    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * @return array|string[]
     */
    public function getLabel(): array
    {
        return $this->label;
    }

    /**
     * @param array|string[] $label
     * @return UserJob
     */
    public function setLabel(array $label): UserJob
    {
        $this->label = $label;
        return $this;
    }

    /**
     * @return bool
     */
    public function isActive(): bool
    {
        return $this->active;
    }

    /**
     * @param bool $active
     * @return UserJob
     */
    public function setActive(bool $active): UserJob
    {
        $this->active = $active;
        return $this;
    }
}
