<?php
/*
 * 
 */
namespace Chill\MainBundle\Export;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Security\Core\Role\Role;

/**
 * 
 */
interface DirectExportInterface extends ExportElementInterface
{

    /**
     * get a description, which will be used in UI (and translated)
     *
     * @return string
     */
    public function getDescription();

    /**
     * Generate the export
     *
     * @param array $acl
     * @param array $data
     *
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function generate(array $acl, array $data = []);

    /**
     * authorized role
     *
     * @return \Symfony\Component\Security\Core\Role\Role
     */
    public function requiredRole();
}
