<?php

/*
 * Copyright (C) 2016 Champs-Libres <info@champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Chill\MainBundle\Export;

use Symfony\Component\Form\FormBuilderInterface;

/**
 * The common methods between different object used to build export (i.e. : ExportInterface,
 * FilterInterface, AggregatorInterface)
 *
 * @author Julien Fastré <julien.fastre@champs-libres.coop>
 */
interface ExportElementInterface
{
    /**
     * get a title, which will be used in UI (and translated)
     * 
     * @return string
     */
    public function getTitle();
    
        
    /**
     * Add a form to collect data from the user.
     * 
     * @param FormBuilderInterface $builder
     */
    public function buildForm(FormBuilderInterface $builder);
    
}
