<?php

declare(strict_types=1);

namespace Chill\MainBundle\Repository;

use Chill\MainBundle\Entity\RoleScope;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\EntityRepository;
use Doctrine\Persistence\ObjectRepository;

final class RoleScopeRepository implements ObjectRepository
{
    private EntityRepository $repository;

    public function __construct(EntityManagerInterface $entityManager)
    {
        $this->repository = $entityManager->getRepository(RoleScope::class);
    }

    public function find($id, $lockMode = null, $lockVersion = null): ?RoleScope
    {
        return $this->repository->find($id, $lockMode, $lockVersion);
    }

    public function findOneBy(array $criteria, array $orderBy = null): ?RoleScope
    {
        return $this->repository->findOneBy($criteria, $orderBy);
    }

    /**
     * @return RoleScope[]
     */
    public function findAll(): array
    {
        return $this->repository->findAll();
    }

    /**
     * @return RoleScope[]
     */
    public function findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null): array
    {
        return $this->repository->findBy($criteria, $orderBy, $limit, $offset);
    }

    public function getClassName() {
        return RoleScope::class;
    }
}
