<?php

namespace Chill\MainBundle\Repository;

use Chill\MainBundle\Entity\Center;
use Chill\MainBundle\Entity\Scope;
use Chill\MainBundle\Entity\User;

interface UserACLAwareRepositoryInterface
{
    /**
     * Find the users reaching the given center and scope, for the given role
     *
     * @param string $role
     * @param Center|Center[]|array $center
     * @param Scope|Scope[]|array|null $scope
     * @param bool $onlyActive true if get only active users
     *
     * @return User[]
     */
    public function findUsersByReachedACL(string $role, $center, $scope = null, bool $onlyActive = true): array;
}
