<?php

declare(strict_types=1);

namespace Chill\MainBundle\Routing\Loader;

use Symfony\Component\Config\Loader\Loader;
use Symfony\Component\Routing\RouteCollection;

/**
 * Import routes from bundles
 *
 * Routes must be defined in configuration, add an entry
 * under `chill_main.routing.resources`
 */
class ChillRoutesLoader extends Loader
{
    private array $routes;

    public function __construct(array $routes)
    {
        $this->routes = $routes;

        parent::__construct();
    }

    public function load($resource, $type = null)
    {
        $collection = new RouteCollection();

        foreach ($this->routes as $routeResource) {
            $collection->addCollection(
                $this->import($routeResource, NULL)
            );
        }

        return $collection;
    }

    public function supports($resource, $type = null)
    {
        return 'chill_routes' === $type;
    }

}
