<?php

namespace Chill\MainBundle\Search;

use Throwable;

class SearchApiNoQueryException extends \RuntimeException
{
    private string $pattern;
    private array $types;
    private array $parameters;

    public function __construct(string $pattern = "", array $types = [], array $parameters = [], $code = 0, Throwable $previous = null)
    {
        $typesStr = \implode(", ", $types);
        $message = "No query for this search: pattern : {$pattern}, types: {$typesStr}";
        $this->pattern = $pattern;
        $this->types = $types;
        $this->parameters = $parameters;

        parent::__construct($message, $code, $previous);
    }
}
