<?php

declare(strict_types=1);

namespace Chill\MainBundle\Search;

use Symfony\Component\Serializer\Annotation as Serializer;

class SearchApiResult
{
    private float $pertinence;

    private $result;

    private float $relevance;

    public function __construct(float $relevance)
    {
        $this->relevance = $relevance;
    }

    public function setResult($result): self
    {
        $this->result = $result;

        return $this;
    }

    /**
     * @Serializer\Groups({"read"})
     */
    public function getResult()
    {
        return $this->result;
    }

    /**
     * @Serializer\Groups({"read"})
     */
    public function getRelevance(): float
    {
        return $this->relevance;
    }
}
