<?php

namespace Chill\MainBundle\Search\Utils;


class ExtractPhonenumberFromPattern
{
    private const PATTERN = "([\+]{0,1}[0-9\ ]{5,})";

    public function extractPhonenumber(string $subject): SearchExtractionResult
    {
        $matches = [];
        \preg_match(self::PATTERN, $subject,$matches);

        if (0 < count($matches)) {
            $phonenumber = [];
            $length = 0;

            foreach (\str_split(\trim($matches[0])) as $key => $char) {
                switch ($char) {
                    case '0':
                        $length++;
                        if ($key === 0) { $phonenumber[] = '+32'; }
                        else { $phonenumber[] = $char; }
                        break;
                    case '1':
                    case '2':
                    case '3':
                    case '4':
                    case '5':
                    case '6':
                    case '7':
                    case '8':
                    case '9':
                        $length++;
                        $phonenumber[] = $char;
                        break;
                    case ' ':
                        break;
                    default:
                        throw new \LogicException("should not match not alnum character");
                }
            }

            if ($length > 5) {
                $filtered = \trim(\strtr($subject, [$matches[0] => '']));

                return new SearchExtractionResult($filtered, [\implode('', $phonenumber)] );
            }
        }

        return new SearchExtractionResult($subject, []);
    }
}
