<?php

namespace Chill\MainBundle\Security\Authorization;

use Chill\MainBundle\Entity\Center;
use Chill\MainBundle\Entity\Scope;
use Symfony\Component\Security\Core\User\UserInterface;

interface AuthorizationHelperInterface
{
    /**
     * Get reachable Centers for the given user, role,
     * and optionnaly Scope
     *
     * @param null|Scope $scope
     * @return Center[]
     */
    public function getReachableCenters(UserInterface $user, string $role, ?Scope $scope = null): array;

    /**
     * @param Center|Center[]|array $center
     * @return array
     */
    public function getReachableScopes(UserInterface $user, string $role, $center): array;

}
