<?php

declare(strict_types=1);

namespace Chill\MainBundle\Security\Authorization;

use Symfony\Component\Security\Core\Authorization\Voter\Voter;
use Symfony\Component\Security\Core\Authentication\Token\TokenInterface;
use Chill\MainBundle\Entity\User;

class ChillExportVoter extends Voter
{
    public const EXPORT = 'chill_export';

    protected AuthorizationHelperInterface $authorizationHelper;

    public function __construct(AuthorizationHelperInterface $authorizationHelper)
    {
        $this->authorizationHelper = $authorizationHelper;
    }

    protected function supports($attribute, $subject): bool
    {
        return $attribute === self::EXPORT;
    }

    protected function voteOnAttribute($attribute, $subject, TokenInterface $token): bool
    {
        if (!$token->getUser() instanceof User) {
            return false;
        }

        return [] !== $this->authorizationHelper->getReachableCenters($token->getUser(), $attribute);
    }
}
