<?php

namespace Chill\MainBundle\Security\Authorization;

use Chill\MainBundle\Security\Resolver\CenterResolverDispatcher;

class DefaultVoterHelperFactory implements VoterHelperFactoryInterface
{
    protected AuthorizationHelper $authorizationHelper;
    protected CenterResolverDispatcher $centerResolverDispatcher;

    public function __construct(
        AuthorizationHelper $authorizationHelper,
        CenterResolverDispatcher $centerResolverDispatcher
    ) {
        $this->authorizationHelper = $authorizationHelper;
        $this->centerResolverDispatcher = $centerResolverDispatcher;
    }

    public function generate($context): VoterGeneratorInterface
    {
        return new DefaultVoterHelperGenerator(
            $this->authorizationHelper,
            $this->centerResolverDispatcher
        );
    }
}
