<?php

namespace Chill\MainBundle\Security\Authorization;

use Chill\MainBundle\Security\Resolver\CenterResolverDispatcher;

final class DefaultVoterHelperGenerator implements VoterGeneratorInterface
{
    protected AuthorizationHelper $authorizationHelper;
    protected CenterResolverDispatcher $centerResolverDispatcher;
    protected array $configuration = [];

    public function __construct(
        AuthorizationHelper $authorizationHelper,
        CenterResolverDispatcher $centerResolverDispatcher
    ) {
        $this->authorizationHelper = $authorizationHelper;
        $this->centerResolverDispatcher = $centerResolverDispatcher;
    }

    public function addCheckFor(?string $subject, array $attributes): self
    {
       $this->configuration[] = [$attributes, $subject];

       return $this;
    }

    public function build(): VoterHelperInterface
    {
        return new DefaultVoterHelper(
            $this->authorizationHelper,
            $this->centerResolverDispatcher,
            $this->configuration
        );
    }
}
