<?php

declare(strict_types=1);

namespace Chill\MainBundle\Security\Resolver;

final class CenterResolverManager implements CenterResolverManagerInterface
{
    /**
     * @var CenterResolverInterface[]
     */
    private iterable $resolvers;

    public function __construct(iterable $resolvers = [])
    {
        $this->resolvers = $resolvers;
    }

    public function resolveCenters($entity, ?array $options = []): array
    {
        foreach($this->resolvers as $resolver) {
            if ($resolver->supports($entity, $options)) {
                return (array) $resolver->resolveCenter($entity, $options);
            }
        }

        return [];
    }
}
