<?php

namespace Chill\MainBundle\Security\Resolver;

use Chill\MainBundle\Entity\Center;
use Chill\MainBundle\Entity\HasCenterInterface;
use Chill\MainBundle\Entity\HasCentersInterface;

class DefaultCenterResolver implements CenterResolverInterface
{
    public function supports($entity, ?array $options = []): bool
    {
        return $entity instanceof HasCenterInterface || $entity instanceof HasCentersInterface;
    }

    /**
     * @inheritDoc
     *
     * @param HasCenterInterface $entity
     * @param array $options
     */
    public function resolveCenter($entity, ?array $options = [])
    {
        if ($entity instanceof HasCenterInterface) {
            return $entity->getCenter();
        } elseif ($entity instanceof HasCentersInterface) {
            return $entity->getCenters();
        } else {
            throw new \UnexpectedValueException("should be an instanceof");
        }
    }

    public static function getDefaultPriority(): int
    {
        return -256;
    }
}
