<?php

namespace Chill\MainBundle\Security\Resolver;

use Chill\MainBundle\Entity\HasScopeInterface;
use Chill\MainBundle\Entity\HasScopesInterface;

class DefaultScopeResolver implements ScopeResolverInterface
{

    public function supports($entity, ?array $options = []): bool
    {
        return $entity instanceof HasScopeInterface || $entity instanceof HasScopesInterface;
    }

    /**
     * @inheritDoc
     *
     * @param HasScopeInterface|HasScopesInterface $entity
     */
    public function resolveScope($entity, ?array $options = [])
    {
        if ($entity instanceof HasScopeInterface) {
            return $entity->getScope();
        } elseif ($entity instanceof HasScopesInterface) {
            return $entity->getScopes();
        } else {
            throw new \UnexpectedValueException("should be an instanceof %s or %s",
                HasScopesInterface::class, HasScopeInterface::class);
        }
    }

    public function isConcerned($entity, ?array $options = []): bool
    {
        return $entity instanceof HasScopeInterface || $entity instanceof HasScopesInterface;
    }

    public static function getDefaultPriority(): int
    {
        return -256;
    }
}
