<?php
/*
 * Copyright (C) 2021 Champs Libres Cooperative <info@champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
namespace Chill\MainBundle\Templating;

use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

use Parsedown;

/**
 * Render markdown
 */
final class ChillMarkdownRenderExtension extends AbstractExtension
{
    /**
     * @var Parsedown
     */
    protected $parsedown;

    public function __construct()
    {
        $this->parsedown = new Parsedown();
        $this->parsedown->setSafeMode(true);
    }

    public function getFilters(): array
    {
        return [
            new TwigFilter('chill_markdown_to_html', [$this, 'renderMarkdownToHtml'], [
                'is_safe' => [ 'html' ]
            ])
        ];
    }

    public function renderMarkdownToHtml(?string $var): string
    {
        return $this->parsedown->parse((string) $var);
    }
}
