<?php

namespace Chill\MainBundle\Templating\Listing;

use Symfony\Component\Form\FormFactoryBuilderInterface;
use Symfony\Component\Form\FormFactoryInterface;
use Symfony\Component\HttpFoundation\RequestStack;

class FilterOrderHelperFactory implements FilterOrderHelperFactoryInterface
{
    private FormFactoryInterface $formFactory;
    private RequestStack $requestStack;

    public function __construct(
        FormFactoryInterface $formFactory,
        RequestStack $requestStack
    ) {
        $this->formFactory = $formFactory;
        $this->requestStack = $requestStack;
    }

    public function create(string $context, ?array $options = []): FilterOrderHelperBuilder
    {
        return new FilterOrderHelperBuilder($this->formFactory, $this->requestStack);
    }
}
