<?php

namespace Chill\MainBundle\Tests\Serializer\Normalizer;

use Symfony\Bundle\FrameworkBundle\Test\KernelTestCase;
use Chill\MainBundle\Serializer\Normalizer\DoctrineExistingEntityNormalizer;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\Serializer\Mapping\Factory\ClassMetadataFactoryInterface;
use Chill\MainBundle\Entity\User;


class DoctrineExistingEntityNormalizerTest extends KernelTestCase
{
    protected DoctrineExistingEntityNormalizer $normalizer;

    protected function setUp()
    {
        self::bootKernel();
        $em = self::$container->get(EntityManagerInterface::class); 
        $serializerFactory = self::$container->get(ClassMetadataFactoryInterface::class);

        $this->normalizer = new DoctrineExistingEntityNormalizer($em, $serializerFactory);
    }

    /**
     * @dataProvider dataProviderUserId
     */
    public function testGetMappedClass($userId)
    {
        $data = [ 'type' => 'user', 'id' => $userId]; 
        $supports = $this->normalizer->supportsDenormalization($data, User::class);

        $this->assertTrue($supports);
    }

    public function dataProviderUserId()
    {
        self::bootKernel();

        $userIds = self::$container->get(EntityManagerInterface::class)
            ->getRepository(User::class)
            ->createQueryBuilder('u')
            ->select('u.id')
            ->setMaxResults(1)
            ->getQuery()
            ->getResult()
            ;

        yield [ $userIds[0]['id'] ];
    }
}
