<?php

/*
 * Chill is a software for social workers
 * Copyright (C) 2015 Champs Libres <info@champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Chill\MainBundle\Tests;

use Symfony\Component\BrowserKit\Client;

/**
 * Provide useful methods for tests
 *
 * @author Julien Fastré <julien.fastre@champs-libres.coop>
 * @author Champs Libres <info@champs-libres.coop>
 */
class TestHelper
{
    /**
     * create a client authenticated with an user
     * 
     * @param WebTestCase $testCase
     * @return \Symfony\Component\BrowserKit\Client authenticated client
     */
    public static function getAuthenticatedClientOptions($username = 'center a_social',
            $password = 'password')
    {
       return array(
           'PHP_AUTH_USER' => $username,
           'PHP_AUTH_PW'   => $password,
        );
    }
}
