<?php
declare(strict_types=1);

namespace Chill\PersonBundle\Controller;

use Chill\MainBundle\CRUD\Controller\ApiController;
use Chill\PersonBundle\Entity\Person;
use Chill\PersonBundle\Repository\Relationships\RelationshipRepository;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Validator\Validator\ValidatorInterface;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\ParamConverter;

class RelationshipApiController extends ApiController
{
    private ValidatorInterface $validator;
    private RelationshipRepository $repository;

    public function __construct(ValidatorInterface $validator, RelationshipRepository $repository)
    {
        $this->validator = $validator;
        $this->repository = $repository;
    }

    /**
     * @ParamConverter("person", options={"id" = "person_id"})
     */
    public function getRelationshipsByPerson(Person $person)
    {
        //TODO: add permissions? (voter?)
        $relationships = $this->repository->findByPerson($person);

        return $this->json(\array_values($relationships), Response::HTTP_OK, [], ['groups' => [ 'read']]);
    }
}
