<?php

/*
 * Chill is a software for social workers
 *
 * Copyright (C) 2014-2015, Champs Libres Cooperative SCRLFS,
 * <http://www.champs-libres.coop>, <info@champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Chill\PersonBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\AbstractFixture;
use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Persistence\ObjectManager;

use Chill\PersonBundle\Entity\AccompanyingPeriod\Origin;

/**
 * Description of LoadAccompanyingPeriodOrigin
 *
 * @author Champs-Libres Coop
 */
class LoadAccompanyingPeriodOrigin extends AbstractFixture implements OrderedFixtureInterface
{

    public const ACCOMPANYING_PERIOD_ORIGIN = 'accompanying_period_origin';

    public function getOrder()
    {
        return 9000;
    }

    private $phoneCall = ['en' => 'phone call', 'fr' => 'appel téléphonique'];

    public static $references = array();

    public function load(ObjectManager $manager)
    {
        $o = new Origin();
        $o->setLabel(json_encode($this->phoneCall));

        $manager->persist($o);

        $this->addReference(self::ACCOMPANYING_PERIOD_ORIGIN, $o);
        echo "Adding one AccompanyingPeriod Origin\n";

        $manager->flush();
    }
}
