<?php

/*
 * Chill is a software for social workers
 *
 * Copyright (C) 2021, Champs Libres Cooperative SCRLFS,
 * <http://www.champs-libres.coop>, <info@champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Chill\PersonBundle\Entity\AccompanyingPeriod;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Serializer\Annotation as Serializer;
use Symfony\Component\Serializer\Annotation\DiscriminatorMap;

/**
 * @ORM\Entity
 * @ORM\Table(name="chill_person_accompanying_period_origin")
 * @Serializer\DiscriminatorMap(
 *   typeProperty="type", 
 *   mapping={
 *     "origin"=Origin::class
 * })
 */
class Origin
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     * @Groups({"read"})
     */
    private $id;

    /**
     * @ORM\Column(type="json")
     * @Groups({"read"})
     */
    private $label;

    /**
     * @ORM\Column(type="date_immutable", nullable=true)
     * @Groups({"read"})
     */
    private $noActiveAfter;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getLabel()
    {
        return $this->label;
    }

    public function setLabel(string $label): self
    {
        $this->label = $label;

        return $this;
    }

    public function getNoActiveAfter(): ?\DateTimeImmutable
    {
        return $this->noActiveAfter;
    }

    public function setNoActiveAfter(?\DateTimeImmutable $noActiveAfter): self
    {
        $this->noActiveAfter = $noActiveAfter;

        return $this;
    }
}
