<?php

/*
 *
 * Copyright (C) 2014-2015, Champs Libres Cooperative SCRLFS, <http://www.champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Chill\PersonBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * MaritalStatus
 *
 * @ORM\Entity
 * @ORM\Table(name="chill_person_marital_status")
 * @ORM\HasLifecycleCallbacks()
 */
class MaritalStatus
{
    /**
     * @var string
     *
     * @ORM\Id()
     * @ORM\Column(type="string", length=7)
     */
    private ?string $id;

    /**
     * @var string array
     * @ORM\Column(type="json")
     */
    private array $name;

    /**
     * Get id
     *
     * @return string
     */
    public function getId(): string
    {
        return $this->id;
    }

    /**
     * Set id
     *
     * @param string $id
     * @return MaritalStatus
     */
    public function setId(string $id): self
    {
        $this->id = $id;
        return $this;
    }

    /**
     * Set name
     *
     * @param string array $name
     * @return MaritalStatus
     */
    public function setName(array $name): self
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string array
     */
    public function getName(): array
    {
        return $this->name;
    }
}
