<?php

namespace Chill\PersonBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Chill\MainBundle\Entity\User;

/**
 * PersonNotDuplicate
 *
 * @ORM\Table(name="chill_person_not_duplicate")
 * @ORM\Entity
 */
class PersonNotDuplicate
{
    /**
     * The person's id
     * @var integer
     *
     * @ORM\Id
     * @ORM\Column(name="id", type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var Person
     *
     * @ORM\ManyToOne(targetEntity="Chill\PersonBundle\Entity\Person")
     */
    private $person1;

    /**
     * @var Person
     *
     * @ORM\ManyToOne(targetEntity="Chill\PersonBundle\Entity\Person")
     */
    private $person2;

    /**
     * @var \DateTime
     * @ORM\Column(type="datetime")
     */
    private $date;

    /**
     * @var User
     *
     * @ORM\ManyToOne(targetEntity="Chill\MainBundle\Entity\User")
     */
    private $user;

    public function __construct()
    {
        $this->date = new \DateTime();
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id)
    {
        $this->id = $id;
    }

    public function getPerson1()
    {
        return $this->person1;
    }

    public function setPerson1(Person $person1)
    {
        $this->person1 = $person1;
    }

    public function getPerson2()
    {
        return $this->person2;
    }

    public function setPerson2(Person $person2)
    {
        $this->person2 = $person2;
    }

    public function getDate()
    {
        return $this->date;
    }

    public function setDate(\DateTime $date)
    {
        $this->date = $date;
    }

    public function getUser()
    {
        return $this->user;
    }

    public function setUser(User $user)
    {
        $this->user = $user;
    }
}
