<?php

namespace Chill\PersonBundle\Entity\SocialWork;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation as Serializer;

/**
 * @ORM\Entity
 * @ORM\Table(name="chill_person_social_work_evaluation")
 * @Serializer\DiscriminatorMap(typeProperty="type", mapping={
 *     "social_work_evaluation"=Evaluation::class
 *     })
 */
class Evaluation
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     * @Serializer\Groups({"read"})
     */
    private $id;

    /**
     * @ORM\Column(type="json")
     * @Serializer\Groups({"read"})
     */
    private $title = [];

    /**
     * @ORM\Column(type="dateinterval", nullable=true, options={"default": null})
     * @Serializer\Groups({"read"})
     */
    private $delay;

    /**
     * @ORM\Column(type="dateinterval", nullable=true, options={"default": null})
     * @Serializer\Groups({"read"})
     */
    private $notificationDelay;

    /**
     * @ORM\ManyToOne(
     *     targetEntity=SocialAction::class,
     *     inversedBy="evaluations"
     * )
     */
    private $socialAction;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTitle(): array
    {
        return $this->title;
    }

    public function setTitle(array $title): self
    {
        $this->title = $title;

        return $this;
    }

    public function getDelay(): ?\DateInterval
    {
        return $this->delay;
    }

    public function setDelay(\DateInterval $delay): self
    {
        $this->delay = $delay;

        return $this;
    }

    public function getNotificationDelay(): ?\DateInterval
    {
        return $this->notificationDelay;
    }

    public function setNotificationDelay(\DateInterval $notificationDelay): self
    {
        $this->notificationDelay = $notificationDelay;

        return $this;
    }

    public function getSocialAction(): ?SocialAction
    {
        return $this->socialAction;
    }

    public function setSocialAction(?SocialAction $socialAction): self
    {
        $this->socialAction = $socialAction;

        return $this;
    }
}
