<?php

namespace Chill\PersonBundle\Form;

use Chill\MainBundle\Form\Type\ChillTextareaType;
use Chill\MainBundle\Form\Type\ChillDateType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\FormBuilderInterface;

class HouseholdMemberType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('startDate', ChillDateType::class, [
                'label' => 'household.Start date',
                'input' => 'datetime_immutable',
            ]);
        if ($options['data']->getPosition()->isAllowHolder()) {
            $builder
                ->add('holder', ChoiceType::class, [
                    'label' => 'household.holder',
                    'choices' => [
                        'household.is holder' => true,
                        'household.is not holder' => false
                    ]
                ]);
        }
        $builder
            ->add('comment', ChillTextareaType::class, [
                'label' => 'household.Comment',
                'required' => false
            ])
        ;
    } 
}
