<?php

namespace Chill\PersonBundle\Form;

use Chill\PersonBundle\Form\Type\PickPersonType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\HiddenType;
use Symfony\Component\Form\FormBuilderInterface;

class PersonFindManuallyDuplicateType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('person', PickPersonType::class, [
                'label' => 'Find duplicate',
                'mapped' => false,
            ])
            ->add('direction', HiddenType::class, [
                'data' => 'starting',
            ])
        ;
    }

    /**
     * @return string
     */
    public function getBlockPrefix()
    {
        return 'chill_personbundle_person_find_manually_duplicate';
    }
}
