<?php

namespace Chill\PersonBundle\Repository\Household;

use Chill\MainBundle\Entity\AddressReference;
use Chill\PersonBundle\Entity\Household\Household;

interface HouseholdACLAwareRepositoryInterface
{
    public function countByAddressReference(AddressReference $addressReference): int;

    /**
     * @param AddressReference $addressReference
     * @param int|null $firstResult
     * @param int|null $maxResult
     * @return array|Household[]
     */
    public function findByAddressReference(
        AddressReference $addressReference,
        ?int $firstResult = 0,
        ?int $maxResult = 50
    ): array;
}
