<?php

namespace Chill\PersonBundle\Repository\Household;

use Chill\PersonBundle\Entity\Household\PersonHouseholdAddress;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\EntityRepository;
use Doctrine\Persistence\ObjectRepository;

final class PersonHouseholdAddressRepository implements ObjectRepository
{
    private EntityRepository $repository;

    public function __construct(EntityManagerInterface $em)
    {
        $this->repository = $em->getRepository(PersonHouseholdAddress::class);
    }

    public function find($id, $lockMode = null, $lockVersion = null): ?PersonHouseholdAddress
    {
        return $this->repository->find($id, $lockMode, $lockVersion);
    }

    public function findOneBy(array $criteria, array $orderBy = null): ?PersonHouseholdAddress
    {
        return $this->repository->findOneBy($criteria, $orderBy);
    }

    /**
     * @return PersonHouseholdAddress[]
     */
    public function findAll(): array
    {
        return $this->repository->findAll();
    }

    /**
     * @return PersonHouseholdAddress[]
     */
    public function findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null): array
    {
        return $this->repository->findBy($criteria, $orderBy, $limit, $offset);
    }

    public function getClassName() {
        return PersonHouseholdAddress::class;
    }
}
