<?php

namespace Chill\PersonBundle\Repository;

use Chill\MainBundle\Search\ParsingException;
use Chill\MainBundle\Search\SearchApiQuery;
use Chill\PersonBundle\Entity\Person;
use Doctrine\ORM\NonUniqueResultException;

interface PersonACLAwareRepositoryInterface
{
    /**
     * @return array|Person[]
     */
    public function findBySearchCriteria(
        int $start,
        int $limit,
        bool $simplify = false,
        string $default = null,
        string $firstname = null,
        string $lastname = null,
        ?\DateTimeInterface $birthdate = null,
        ?\DateTimeInterface $birthdateBefore = null,
        ?\DateTimeInterface $birthdateAfter = null,
        string $gender = null,
        string $countryCode = null,
        string $phonenumber = null,
        string $city = null
    ): array;

    public function countBySearchCriteria(
        string $default = null,
        string $firstname = null,
        string $lastname = null,
        ?\DateTimeInterface $birthdate = null,
        ?\DateTimeInterface $birthdateBefore = null,
        ?\DateTimeInterface $birthdateAfter = null,
        string $gender = null,
        string $countryCode = null,
        string $phonenumber = null,
        string $city = null
    );

    public function buildAuthorizedQuery(
        string $default = null,
        string $firstname = null,
        string $lastname = null,
        ?\DateTimeInterface $birthdate = null,
        ?\DateTimeInterface $birthdateBefore = null,
        ?\DateTimeInterface $birthdateAfter = null,
        string $gender = null,
        string $countryCode = null,
        string $phonenumber = null,
        string $city = null
    ): SearchApiQuery;
}
