<?php
/*
 *
 * Copyright (C) 2014-2021, Champs Libres Cooperative SCRLFS, <http://www.champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Chill\PersonBundle\Serializer\Normalizer;

use Chill\PersonBundle\Entity\AccompanyingPeriod\Origin;
use Symfony\Component\Serializer\Normalizer\NormalizerInterface;

/**
 *
 * @internal we keep this normalizer, because the property 'text' may be replace by a rendering in the future
 */
class AccompanyingPeriodOriginNormalizer implements NormalizerInterface
{
    public function normalize($origin, string $format = null, array $context = array())
    {
        /** @var Origin $origin */
        return [
            'type' => 'origin',
            'id' => $origin->getId(),
            'label' => $origin->getLabel(),
            'text' => $origin->getLabel()
        ];
    }

    public function supportsNormalization($data, string $format = null): bool
    {
        return $data instanceof Origin;
    }
}
