<?php

namespace Chill\PersonBundle\Tests\Entity\AccompanyingPeriod;

use PHPUnit\Framework\TestCase;
use Chill\PersonBundle\Entity\AccompanyingPeriod\Resource;
use Chill\PersonBundle\Entity\Person;
use Chill\ThirdPartyBundle\Entity\ThirdParty;

class ResourceTest extends TestCase
{
    public function testSetResource()
    {
        $person = new Person();
        $thirdParty = new ThirdParty();

        $resource = new Resource();

        $resource->setResource($person);

        $this->assertSame($person, $resource->getResource());
        $this->assertNull($resource->getThirdParty());

        $resource->setResource($thirdParty);
        
        $this->assertSame($thirdParty, $resource->getResource());
        $this->assertNull($resource->getPerson());

        // we repeat adding a person, to ensure that third party is
        // well reset
        $resource->setResource($person);
        $this->assertSame($person, $resource->getResource());
        $this->assertNull($resource->getThirdParty());

        $resource->setResource(null);
        $this->assertNull($resource->getThirdParty());
        $this->assertNull($resource->getPerson());
        $this->assertNull($resource->getResource());
    }
}
