<?php

declare(strict_types=1);

namespace Chill\Migrations\Task;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20211029213909 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add index for task state and end date';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('CREATE INDEX by_end_date ON chill_task.single_task (end_date DESC NULLS FIRST)');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('DROP INDEX chill_task.by_end_date');
    }
}
